%global dlrn_nvr diskimage-builder-3.31.1.dev11-17.1.20231013083745.0576fad
%global dlrn 1
%define upstream_version 3.31.1.dev11
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0x5d2d1e4fb8d38e6af76c50d53d4fec30cf5ce3da

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           diskimage-builder
Summary:        Image building tools for OpenStack
Version: 3.31.1
Release: 17.1.20231013083746.0576fad%{?dist}
License:        ASL 2.0
Group:          System Environment/Base
URL:            https://launchpad.net/diskimage-builder
Source0: diskimage-builder-3.31.1.dev11-17.1.20231013083745.0576fad.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=0576fadab8f709efd4d6115af62b665265ef8796
Patch0001: 0001-Add-san-support-to-growvols.patch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/diskimage-builder/%{name}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif
AutoReqProv: no

BuildArch: noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif

BuildRequires: git-core
BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-pbr
BuildRequires: /usr/bin/pathfix.py

Requires: kpartx
Requires: qemu-img
Requires: curl
Requires: tar
Requires: gdisk
Requires: lvm2
Requires: git-core
Requires: dib-utils
Requires: /usr/sbin/mkfs.ext2
Requires: /usr/sbin/mkfs.ext3
Requires: /usr/sbin/mkfs.ext4
Requires: /usr/sbin/mkfs.xfs
Requires: /usr/sbin/mkfs.vfat
Requires: /bin/bash
Requires: /bin/sh
Requires: /usr/bin/env
Requires: python3
Requires: python3-flake8 >= 3.6.0
Requires: python3-pbr >= 2.0.0
Requires: python3-stevedore >= 1.20.0
Requires: python3-networkx >= 1.10
Requires: python3-yaml >= 3.12

%global __requires_exclude /usr/local/bin/dib-python
%global __requires_exclude %__requires_exclude|/sbin/runscript

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%autosetup -n %{name}-%{upstream_version} -S git

# Remove bundled egg-info
rm -r diskimage_builder.egg-info

%build
%{py3_build}

%install
%{py3_install}

mkdir -p %{buildroot}%{_datadir}/%{name}/elements

cp -vr diskimage_builder/elements/ %{buildroot}%{_datadir}/%{name}

# explicitly remove config-applier since it does a pip install
rm -rf %{buildroot}%{_datadir}/%{name}/elements/config-applier

# This file is being split out of diskimage-builder, so remove it to
# avoid conflicts with the new package.
rm -f %{buildroot}%{_bindir}/dib-run-parts

# Fix shebangs for Python 3-only distros
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/%{name}/elements/pypi/pre-install.d/04-configure-pypi-mirror
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/%{name}/elements/deploy-targetcli/extra-data.d/module/targetcli-wrapper
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/%{name}/elements/package-installs/bin/package-installs-squash
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/%{name}/elements/svc-map/extra-data.d/10-merge-svc-map-files
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_datadir}/%{name}/elements/svc-map/bin/svc-map
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{python3_sitelib}/diskimage_builder/elements/pypi/pre-install.d/04-configure-pypi-mirror
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{python3_sitelib}/diskimage_builder/elements/deploy-targetcli/extra-data.d/module/targetcli-wrapper
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{python3_sitelib}/diskimage_builder/elements/package-installs/bin/package-installs-squash
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{python3_sitelib}/diskimage_builder/elements/svc-map/extra-data.d/10-merge-svc-map-files
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{python3_sitelib}/diskimage_builder/elements/svc-map/bin/svc-map

%description
Components of TripleO that are responsible for building disk images.

%files
%doc LICENSE
%{_bindir}/*
%{python3_sitelib}/diskimage_builder*
%{_datadir}/%{name}/elements

%changelog
* Wed Mar 13 2024 Shreshtha Joshi <shrjoshi@redhat.com> 3.31.1-17.1.20231013083746
- Add san support to growvols (rhbz#2252076)

* Fri Oct 13 2023 OSP Prod Chain <dev-null@redhat.com> 3.31.1-17.1.20231013083745.0576fad
- Update patches
- Stop creating default user for cloud-init
- Change default value of DIB_DEBIAN_ALT_INIT_PACKAGE

* Thu Sep 21 2023 OSP Prod Chain <dev-null@redhat.com> 3.31.1-17.1.20230921094221.64a38a5
- Update patches
- Set grub timeout style
- Refactor cloud-init element
- Remove extra spaces from GRUB_CMDLINE_LINUX_DEFAULT

* Tue Sep 19 2023 OSP Prod Chain <dev-null@redhat.com> 3.31.1-17.1.20230919083755.252692c
- Update patches
- Update bindep rules for Debuntu

* Fri Sep 01 2023 OSP Prod Chain <dev-null@redhat.com> 3.31.0-17.1.20230901083744.1897b12
- Update patches
- Deprecate legacy deployment elements
- Don't remove packages that are requested to be installed

* Thu Aug 31 2023 OSP Prod Chain <dev-null@redhat.com> 3.30.1-17.1.20230831083748.2193c7c
- Update patches
- Fix and issue with wait_for
- Append detailed printing information when exec_sudo fails

* Wed Aug 30 2023 OSP Prod Chain <dev-null@redhat.com> 3.30.1-17.1.20230830083747.9b93185
- Update patches
- Update the shebang to python3

* Tue Aug 29 2023 OSP Prod Chain <dev-null@redhat.com> 3.30.1-17.1.20230829093758.04f1405
- Update patches
- Install netplan.io for Debian Bookworm

* Thu Aug 24 2023 OSP Prod Chain <dev-null@redhat.com> 3.30.1-17.1.20230824083918.ed647ba
- Update patches
- growvols: reserve space for spare metadata volume
- Fix baseurl for Fedora versions before 36
- Remove lower-constraints.txt

* Tue Jul 18 2023 OSP Prod Chain <dev-null@redhat.com> 3.30.1-17.1.20230718164107.deb1869
- Update patches
- Add nm-dhcp-ib-interfaces element
- Adds passwd to rocky-container os packages

* Thu Jul 13 2023 OSP Prod Chain <dev-null@redhat.com> 3.30.1-17.1.20230713083755.8f56f7e
- Update patches
- Extend the checksum files generation procedure

* Thu Jun 22 2023 OSP Prod Chain <dev-null@redhat.com> 3.30.1-17.1.20230622055109.d8eb624
- Update patches

* Fri Jun 02 2023 OSP Prod Chain <dev-null@redhat.com> 3.30.1-1.20230602083813.d8eb624
- Update patches
- fedora: don't use CI mirrors

* Mon Apr 24 2023 OSP Prod Chain <dev-null@redhat.com> 3.29.1-1.20230424094026.ed9bdf8
- Update patches
- Fix openeuler-minimal mirror problem

* Fri Apr 21 2023 OSP Prod Chain <dev-null@redhat.com> 3.29.1-1.20230421083952.f8733f7
- Update patches
- Allow custom console=tty0 argument

* Fri Apr 14 2023 OSP Prod Chain <dev-null@redhat.com> 3.29.1-1.20230414093953.761fb12
- Update patches
- fix ifupdown pkg map for dhcp-all-interfaces of redhat family
- Update satellite_repo labels + add env var

* Thu Apr 13 2023 OSP Prod Chain <dev-null@redhat.com> 3.29.0-1.20230413083958.48cbe94
- Update patches
- Rename openeuler mirror script
- Check and grow the GPT structure to the end of the volume

* Thu Mar 23 2023 OSP Prod Chain <dev-null@redhat.com> 3.28.0-1.20230323083836.1bb559b
- Update patches
- Fix jsonschema version to match lower-constraint
- Fix openeuler mirror problem
- Add a FIPS element

* Wed Mar 22 2023 OSP Prod Chain <dev-null@redhat.com> 3.27.1-1.20230322083830.45544d5
- Update patches
- Fix ubuntu-minimal to run autoremove
- Correct boot path to cover FIPS usage cases
- Add swap support

* Tue Mar 21 2023 OSP Prod Chain <dev-null@redhat.com> 3.27.1-1.20230321093933.923ae11
- Update patches
- Document diskimage-builder command
- Switch run_functests.sh from disk-image-create to diskimage-builder
- A new diskimage-builder command for yaml image builds

* Mon Mar 20 2023 OSP Prod Chain <dev-null@redhat.com> 3.26.1-1.20230320143858.a00a68a
- Update patches
- Update Fedora to 37
- Removal focal pins for testing
- Fix double-keyed json
- Repeat to umount filesystem when exception occurs

* Wed Mar 15 2023 OSP Prod Chain <dev-null@redhat.com> 3.26.1-1.20230315100159.47dc5a9
- Update patches
- chore: support building Fedora on arm64 AKA aarch64

* Fri Jan 27 2023 OSP Prod Chain <dev-null@redhat.com> 3.26.1-1.20230127083848.174089a
- Update patches
- Reduce thin pool by one more extent

* Tue Jan 24 2023 OSP Prod Chain <dev-null@redhat.com> 3.26.0-1.20230124083811.2c4d230
- Update patches
- cache-url: Give up on curl install for Redhat platforms

* Tue Jan 10 2023 OSP Prod Chain <dev-null@redhat.com> 3.25.1-1.20230110083855.8bb9a37
- Update patches
- Clean up tox.ini for tox v4

* Fri Dec 23 2022 OSP Prod Chain <dev-null@redhat.com> 3.25.1-1.20221223083902.4a161d0
- Update patches
- Grow thin pool metadata by 1GiB
- Add variable for check installing python3 in yum element

* Mon Dec 19 2022 OSP Prod Chain <dev-null@redhat.com> 3.25.1-1.20221219114334.b706802
- Update patches

* Fri Dec 16 2022 OSP Prod Chain <dev-null@redhat.com> 3.25.1-1.20221216085404.b706802
- Update patches
- tox jobs: pin to correct nodesets; use host networking for containerfile
- Fix issue in extract image

* Tue Oct 25 2022 OSP Prod Chain <dev-null@redhat.com> 3.25.1-1.20221025194123.4ff8721
- Update patches
- Added example configuration

* Fri Oct 14 2022 OSP Prod Chain <dev-null@redhat.com> 3.25.1-1.20221014143913.ea7de37
- Update patches
- Added cloud-init growpart element

* Mon Oct 10 2022 OSP Prod Chain <dev-null@redhat.com> 3.25.1-1.20221011013728.3e72fdb
- Update patches
- Fix wrong yum.conf name of CentOS 9 Stream

* Tue Sep 27 2022 OSP Prod Chain <dev-null@redhat.com> 3.25.1-1.20220927114110.d321b08
- Update patches
- Add Rocky 9 ARM64 functional test

* Thu Sep 22 2022 OSP Prod Chain <dev-null@redhat.com> 3.25.0-1.20220922214150.2a25db9
- Update patches
- Start running dib-lint again
- Install Fedora ifcfg NM compat package
- Allow flake8 version 5

* Tue Sep 20 2022 OSP Prod Chain <dev-null@redhat.com> 3.24.1-1.20220920183712.9ce3358
- Update patches
- added elrepo element
- changed release check logic in lvm element

* Tue Sep 06 2022 OSP Prod Chain <dev-null@redhat.com> 3.24.1-1.20220906133733.4a1f684
- Update patches
- Support LVM thin provisioning
- Add thin provisioning support to growvols
- rocky : create machine-id in 9
- Allow setting ROOT_LABEL from environment
- Do dmsetup remove device in rollback
- Add subscription-manager repo names for RHEL-9

* Tue Aug 02 2022 OSP Prod Chain <dev-null@redhat.com> 3.23.0-1.20220803033822.6b42cb2
- Update patches
- Add Rockylinux 9 build configuration and update jobs for 8 and 9
- Disable the opensuse functest
- Upgrade openEuler to 22.03 LTS
- rockylinux : create machine-id early
- opensuse: better report checksum errors

* Thu Jul 28 2022 OSP Prod Chain <dev-null@redhat.com> 3.22.1-1.20220728042642.50390d0
- Update patches

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 3.22.1-1.20220727212013.50390d0
- Update patches

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 3.22.1-1.20220727084239.50390d0
- Update patches
- cache-url: turn off -x by default
- Allow Gentoo to manage python versions by itself
- Parse block device lvm lvs size attributes
- Removing old grub removal step

* Mon Jul 18 2022 OSP Prod Chain <dev-null@redhat.com> 3.22.1-1.20220718132228.ba88a12
- Update patches
- ubuntu: more exact match on squashfs file, containerfile: use focal
- update default python for gentoo to 3.10
- Use internal dhcp client for centos 9-stream and beyond
- Fix BLS entries for /boot partitions
- Add Fedora 36 support
- containerfile: warn if we don't have a Dockerfile
- Add support for Python 3.10
- Revert "CentOS 9-stream : work around selinux permissions issue"
- Fix backward regex match
- Add a warning in satellite configuration
- Use plain tox jobs instead of openstack ones
- Stop using openstack upper constraints
- CentOS 9-stream : work around selinux permissions issue
- Revert "Remove py 3.6 support and update jobs"
- Drop tumbleweed job
- Remove py 3.6 support and update jobs
- Check and mount boot volume for data extraction with nouuid
- Fix openssl example command in dynamic-login
- Fix grub setup on Gentoo
- Ensure passwd is installed on RH and derivatives
- Revert "Temporarily stop running OpenSUSE functtests"
- Make centos reset-bls-entries behave the same as rhel

* Sat May 14 2022 OSP Prod Chain <dev-null@redhat.com> 3.21.2-0.20220514081829.2f06cbc
- Update patches
- Adopted dkms element to work on Ubuntu Jammy and nvidia drivers
- Add Jammy functesting to dib

* Fri May 13 2022 OSP Prod Chain <dev-null@redhat.com> 3.21.2-0.20220513092336.e36b78c
- Update patches
- Switch to the CentOS 9 IPA job

* Fri May 13 2022 OSP Prod Chain <dev-null@redhat.com> 3.21.1-0.20220513081931.6645f47
- Switch to the CentOS 9 IPA job

* Wed May 11 2022 OSP Prod Chain <dev-null@redhat.com> 3.21.1-0.20220511092309.6645f47
- Update patches
- Ensure cloud-init is configured to generated host keys

* Sat May 07 2022 OSP Prod Chain <dev-null@redhat.com> 3.21.1-0.20220507091841.d3ce320
- Update patches
- yum-minimal: workaround missing $releasedir variable
- Temporarily stop running OpenSUSE functtests
- Revert "Fallback to persistent netifs names with systemd"
- centos: avoid head pipe failure
- containerfile: update test to jammy

* Thu Apr 28 2022 OSP Prod Chain <dev-null@redhat.com> 3.20.4-0.20220428174017.555cecb
- Update patches
- Switch to release-notes-jobs-python3
- Fix dhcp-all-interfaces on debuntu systems
- Add a job to test building jammy
- Move reset-bls-entries to post-install
- Set machine-id to uninitialized to trigger first boot
- yum-minimal: clean up release package installs
- source-repositories : use explicit sudo/-C args when in REPO_DEST
- Update gentoo python version to 3.9
- Add interpolation note for dynamic-login password
- Move grub-install to the end, and skip for partition images

* Mon Apr 11 2022 OSP Prod Chain <dev-null@redhat.com> 3.20.3-0.20220411102302.709d18f
- Update patches
- Update fedora element testing to F35

* Mon Apr 11 2022 OSP Prod Chain <dev-null@redhat.com> 3.20.2-0.20220411091859.64bdd24
- Update fedora element testing to F35

* Sun Apr 10 2022 OSP Prod Chain <dev-null@redhat.com> 3.20.2-0.20220410091836.64bdd24
- Update patches
- CentOS Stream 9 has EPEL now

* Sun Mar 20 2022 OSP Prod Chain <dev-null@redhat.com> 3.20.2-0.20220320082241.94fab70
- Update patches
- Use https for downloading ubuntu images

* Wed Mar 16 2022 OSP Prod Chain <dev-null@redhat.com> 3.20.1-0.20220316232319.7d782ae
- Update patches
- containerfile: Add support for setting network driver
- containerfile: add support for Docker
- Handle btrfs root subvolume for fedora extract-image

* Tue Mar 08 2022 OSP Prod Chain <dev-null@redhat.com> 3.19.2-0.20220308082314.e78159c
- Update patches
- Correctly create DIB_ENV variable and dib_environment file

* Tue Mar 01 2022 OSP Prod Chain <dev-null@redhat.com> 3.19.2-0.20220301083325.41c21e9
- Update patches
- Revert "Revert "Detect boot and EFI partitions in extract-image""

* Fri Feb 25 2022 OSP Prod Chain <dev-null@redhat.com> 3.19.1-0.20220225082302.0e5986e
- Update patches
- Revert "Detect boot and EFI partitions in extract-image"

* Thu Feb 24 2022 OSP Prod Chain <dev-null@redhat.com> 3.19.1-0.20220224151846.6a3b8d9
- Update patches
- Detect boot and EFI partitions in extract-image
- rhel: work around RHEL-9 BLS issues

* Thu Feb 24 2022 OSP Prod Chain <dev-null@redhat.com> 3.19.1-0.20220224082241.95c3c54
- Update patches
- Force use of NetworkManager with glean on Rocky Linux

* Wed Feb 23 2022 OSP Prod Chain <dev-null@redhat.com> 3.19.0-0.20220223082242.4a2b63e
- Update patches
- bootloader: clean up EFI checking
- Add rocky support to the epel element

* Tue Feb 22 2022 OSP Prod Chain <dev-null@redhat.com> 3.18.1-0.20220222082249.6b3af23
- Update patches
- bootloader: fix arm64 install path
- update gpg / file verification for Gentoo
- Make growvols config path platform independent
- dhcp-all-interfaces: opt let NetworkManager doit.

* Sat Feb 19 2022 OSP Prod Chain <dev-null@redhat.com> 3.18.1-0.20220219082243.b3e81b1
- Update patches
- Remove OS CI mirror role from fedora(-minimal) tests

* Thu Feb 17 2022 OSP Prod Chain <dev-null@redhat.com> 3.18.1-0.20220217082223.f44644f
- Update patches
- Update platform support to describe stable testing
- Fallback to persistent netifs names with systemd

* Sat Feb 12 2022 OSP Prod Chain <dev-null@redhat.com> 3.18.1-0.20220212082255.79ea63f
- Update patches
- Futher bootloader cleanups

* Thu Feb 10 2022 OSP Prod Chain <dev-null@redhat.com> 3.18.0-0.20220210082420.b43c596
- Update patches
- Revert "Use rpm -e instead of dnf for cleaning old kernels"
- fedora-container: pull in glibc-langpack-en
- Don't run functional tests on doc changes

* Wed Feb 09 2022 OSP Prod Chain <dev-null@redhat.com> 3.17.1-0.20220209102221.f7c93fd
- Update patches
- Remove contrib/setup-gate-mirrors.sh
- Cleanup more CentOS 8 bits
- Add new container element - Rocky Linux
- General improvements to the ubuntu-minimal docs
- Remove extra if/then/else construct in pip element

* Wed Feb 02 2022 OSP Prod Chain <dev-null@redhat.com> 3.17.0-0.20220202081843.256eeab
- Update patches
- Add 9-stream ARM64 testing
- Switch 9-stream testing to use opendev mirrors
- centos: do not use $releasever in .repo files

* Tue Feb 01 2022 OSP Prod Chain <dev-null@redhat.com> 3.16.1-0.20220201082323.5aa552e
- Update patches
- Remove CentOS-8 jobs
- Fix openSUSE images and bump them to 15.3
- debian-minimal: remove old testing targets
- Add debian-bullseye-arm64 build test
- Rename existing BLS entry with the new machine-id

* Sun Jan 23 2022 OSP Prod Chain <dev-null@redhat.com> 3.16.1-0.20220123081833.3df51c5
- Update patches
- Fixes for centos-9-stream efi behaviour

* Wed Jan 19 2022 OSP Prod Chain <dev-null@redhat.com> 3.16.1-0.20220119091839.9c5f5a5
- Update patches
- Remove centos 9 and rhel 8 block in grub2 pkg-map

* Sat Jan 15 2022 OSP Prod Chain <dev-null@redhat.com> 3.16.1-0.20220115081846.bef53f2
- Update patches
- Use https for base centos image download
- enable cloud-init by default on systemd

* Wed Jan 12 2022 OSP Prod Chain <dev-null@redhat.com> 3.16.1-0.20220112081901.a32b969
- Update patches
- Remove opensuse related funtests
- centos: work around 9-stream BLS issues
- Bump Ubuntu release to focal

* Wed Dec 22 2021 OSP Prod Chain <dev-null@redhat.com> 3.16.1-0.20211222081848.f576658
- Update patches
- Avoid unbound variable error when installing pip

* Mon Dec 20 2021 OSP Prod Chain <dev-null@redhat.com> 3.16.1-0.20211220081842.f884b62
- Update patches
- Fix failure in pip element

* Fri Dec 17 2021 OSP Prod Chain <dev-null@redhat.com> 3.16.1-0.20211217081856.6ae099f
- Update patches
- Install only python3 pip in debian bullseye

* Thu Dec 16 2021 OSP Prod Chain <dev-null@redhat.com> 3.16.1-0.20211216081845.0bf8073
- Update patches
- Use OpenDev mirrors for 8-stream CI builds
- Test 8-stream aarch64 build

* Wed Dec 08 2021 OSP Prod Chain <dev-null@redhat.com> 3.16.1-0.20211208081856.a2b8d4d
- Update patches
- Document EFI elements requirements
- Update keylime-agent and tpm-emulator elements
- Disable all repositories after attaching a pool

* Thu Dec 02 2021 OSP Prod Chain <dev-null@redhat.com> 3.15.3-0.20211202081850.2d47d41
- Update patches
- Fix BLS based bootloader installation

* Thu Nov 25 2021 OSP Prod Chain <dev-null@redhat.com> 3.15.3-0.20211125081927.11d25f7
- Update patches
- Added missing grubby arg DIB_BOOTLOADER_DEFAULT_CMDLINE

* Wed Nov 24 2021 OSP Prod Chain <dev-null@redhat.com> 3.15.3-0.20211124081914.583b594
- Update patches
- Trivial: fix whitespace in ubuntu element rst
- Allowing ubuntu element use local image

* Tue Nov 23 2021 OSP Prod Chain <dev-null@redhat.com> 3.15.3-0.20211123081854.8668207
- Update patches
- update gentoo source suffix (where it finds the file to download)

* Fri Nov 19 2021 OSP Prod Chain <dev-null@redhat.com> 3.15.3-0.20211119081855.94b5b77
- Update patches
- Revert "centos 9-stream: make non-voting for mirror issues"
- Add openEuler jobs back

* Wed Nov 17 2021 OSP Prod Chain <dev-null@redhat.com> 3.15.3-0.20211117081851.2c10f65
- Update patches
- source-repositories: don't use --git-dir
- Replace deprecated assertEquals

* Fri Nov 12 2021 OSP Prod Chain <dev-null@redhat.com> 3.15.1-0.20211112133941.85e20d9
- Update patches
- containerfile: handle errors better
- containerfile: fix tar extraction
- centos 9-stream: make non-voting for mirror issues

* Tue Nov 09 2021 OSP Prod Chain <dev-null@redhat.com> 3.15.1-0.20211109081934.eb7782b
- Update patches
- tests: remove debootstrap install

* Thu Nov 04 2021 OSP Prod Chain <dev-null@redhat.com> 3.15.0-0.20211104081912.f75fed0
- Update patches
- fedora-container: update to Fedora 35

* Tue Nov 02 2021 OSP Prod Chain <dev-null@redhat.com> 3.14.1-0.20211102081928.311621a
- Update patches

* Sat Oct 30 2021 OSP Prod Chain <dev-null@redhat.com> 3.14.1-0.20211030102050.311621a
- Update patches
- Add support for CentOS Stream 9 in DIB

* Thu Oct 28 2021 OSP Prod Chain <dev-null@redhat.com> 3.14.1-0.20211028081909.57b7d2b
- Update patches
- dracut-regenerate: drop Python 2 packages

* Wed Oct 27 2021 OSP Prod Chain <dev-null@redhat.com> 3.14.1-0.20211027143716.6a42cad
- Update patches
- Switch ARM64 testing to bullseye

* Tue Oct 26 2021 OSP Prod Chain <dev-null@redhat.com> 3.14.1-0.20211026081912.4bd8258
- Update patches
- Fix bootloader installation for gentoo
- Update centos element for 9-stream

* Thu Oct 21 2021 OSP Prod Chain <dev-null@redhat.com> 3.13.1-0.20211021082029.1a5c563
- Update patches
- Run functional tests on Debian Bullseye
- Simplify functests job
- Remove extras job, put gentoo job in gate
- functests: drop minimal tests in the gate
- centos7 : drop functional testing
- functests: drop apt-sources
- ubuntu: add Focal test
- ubuntu-systemd-container: deprecate and remove jobs
- Revert "Allowing ubuntu element use local image"
- epel: match replacement better
- Remove py35 tox jobs

* Thu Oct 07 2021 OSP Prod Chain <dev-null@redhat.com> 3.13.1-0.20211007081949.6e83df4
- Update patches
- Drop lower version requirement for networkx
- Add DIB_YUM_REPO_PACKAGE as an alternative to DIB_YUM_REPO_CONF
- Add policycoreutils package mappings for RHEL/Centos 9
- RHEL/Centos 9 does not have package grub2-efi-x64-modules
- Support grubby and the Bootloader Spec
- Move grubenv to EFI dir
- Fix cron not installed in debian

* Sat Oct 02 2021 OSP Prod Chain <dev-null@redhat.com> 3.13.1-0.20211002081835.175c5c4
- Update patches
- Allowing ubuntu element use local image

* Fri Oct 01 2021 OSP Prod Chain <dev-null@redhat.com> 3.13.1-0.20211001101850.517e7ec
- Update patches
- Fix lower constraints

* Wed Sep 15 2021 OSP Prod Chain <dev-null@redhat.com> 3.13.1-0.20210915081829.0aa6e24
- Update patches
- Fix debian-minimal security repos

* Sat Sep 11 2021 OSP Prod Chain <dev-null@redhat.com> 3.13.1-0.20210911091915.3c3ef6e
- Update patches
- simple-init: support installing Glean from packages
- simple-init: allow disabling DHCP fallback
- Check and remove existing image interface configurations

* Thu Sep 09 2021 OSP Prod Chain <dev-null@redhat.com> 3.13.1-0.20210909092235.f03c50b
- Update patches
- Fix doc typo
- yum-minimal: use DNF tools on host

* Tue Aug 31 2021 OSP Prod Chain <dev-null@redhat.com> 3.13.1-0.20210831081817.59420be
- Update patches
- Use non-greedy modifier for SUBRELEASE grep

* Thu Aug 12 2021 OSP Prod Chain <dev-null@redhat.com> 3.13.1-0.20210812081811.a6ee4d0
- Update patches
- Introduce openEuler distro

* Wed Aug 04 2021 OSP Prod Chain <dev-null@redhat.com> 3.13.1-0.20210804081811.4f5689a
- Update patches
- Fedora: bump DIB_RELEASE to 34
- Permit specification of extra bootstrap packages

* Mon Jul 26 2021 OSP Prod Chain <dev-null@redhat.com> 3.13.0-0.20210726081810.0b14750
- Update patches
- Update IRC networks
- Add a keylime-agent element and a tpm-emulator element
- Replace deprecated import of ABCs from collections
- Auto find greatest Fedora cloud image sub-release

* Tue Jul 20 2021 OSP Prod Chain <dev-null@redhat.com> 3.12.1-0.20210720081810.ddd7050
- Update patches
- Convert multi line if statement to case

* Tue Jul 13 2021 OSP Prod Chain <dev-null@redhat.com> 3.12.1-0.20210713081810.556f4f6
- Update patches
- Add a growvols utility for growing LVM volumes
- Migrate from testr to stestr
- cache-url : turn down verbose curl

* Sun Jul 11 2021 OSP Prod Chain <dev-null@redhat.com> 3.12.1-0.20210711081806.d286f64
- Update patches
- fedora-container: install dnf-plugins-core
- Add element block-device-efi-lvm

* Wed Jul 07 2021 OSP Prod Chain <dev-null@redhat.com> 3.12.1-0.20210707081811.d4f2d79
- Update patches
- Mount /sys RO
- Do not uninstall non-installed packages

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 3.11.1-0.20210528165047.75ee18b
- Update patches
- Remove octvia-v1-dsvm-* jobs
- bootloader: remove extlinux/syslinux path

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 3.11.1-0.20210528121636.c045fad
- Update patches

* Thu May 20 2021 OSP Prod Chain <dev-null@redhat.com> 3.11.1-0.20210520081813.c045fad
- Update patches
- Fix DISTRO_NAME in Fedora elements

* Mon May 17 2021 OSP Prod Chain <dev-null@redhat.com> 3.11.1-0.20210517081811.d355baf
- Update patches
- Add fedora-containerfile element

* Fri May 14 2021 OSP Prod Chain <dev-null@redhat.com> 3.11.1-0.20210514091810.a4354d1
- Update patches
- bootloader: disable BLS for Fedora
- containerfile: automatically search for distro docker files
- dib-lint: match text/x-script.python
- Add containerfile element
- setup.cfg: Replace dashes with underscores
- Update the ironic jobs
- debian-minimal: bullseye: /updates -> -security
- Install epel-release from URL

* Fri Apr 30 2021 OSP Prod Chain <dev-null@redhat.com> 3.10.1-0.20210430101809.2317704
- Update patches
- debian-minimal: Set bullseye version
- Collect openstack logs
- Remove dib-nodepool-functional-openstack-ubuntu-bionic
- Fix centos stream set mirror

* Wed Apr 28 2021 OSP Prod Chain <dev-null@redhat.com> 3.10.1-0.20210428162235.280d923
- Update patches
- dib-run-parts: stop leaving PROFILE_DIR behind
- Ensure redhat efi packages are reinstalled during finalise

* Sun Apr 25 2021 OSP Prod Chain <dev-null@redhat.com> 3.10.1-0.20210425101736.da674c4
- Update patches
- Install pbr before glean to address SNI issues

* Wed Apr 14 2021 OSP Prod Chain <dev-null@redhat.com> 3.9.1-0.20210414161739.d7becbe
- Update patches
- Add Debian Bullseye Zuul job

* Fri Apr 09 2021 OSP Prod Chain <dev-null@redhat.com> 3.7.0-1
- Update patches
- Improved the documentation for DIB_DNF_MODULE_STREAMS
- Properly set grub2 root device when using efi
- Make DIB_DNF_MODULE_STREAMS part of yum element
- Fix: IPA image buidling with OpenSuse.

* Fri Mar 26 2021 OSP Prod Chain <dev-null@redhat.com> 3.7.0-1
- Update patches
- update gentoo keywords to support gcc-10

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> 3.7.0-1
- Update patches

* Wed Mar 17 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- replace the link which is in the 06-hpdsa file
- Change paths for bootloader files in iso element

* Tue Mar 16 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Only add rhel base repos when REG_REPOS is not set
- Support secure-boot bootloader where possible

* Tue Mar 09 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Change get-pip url
- Add aarch64 support for rhel
- Add efibootmgr utility for UEFI boot menu management
- Fix hooks order for CentOS/Fedora when mirror used
- Don't use hardcode while override base image file
- Fix installation of proliant tools
- Use the same bootloader pkg-map for all redhat family
- Remove fedora-31 testing

* Wed Feb 24 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Don't install centos-linux-release on 8-stream

* Thu Feb 04 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove the deprecated ironic-agent element

* Wed Feb 03 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Set eus repositories if REG_RELEASE is set
- Install last stable version of get-pip.py script
- simplify updating python versions in gentoo
- Fix CentOS Stream 8 base repo in centos element

* Tue Feb 02 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add 'DIB_UBUNTU_MIRROR_DISTS' to ubuntu-minimal

* Tue Jan 19 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- add missing packages for python reinstall on gentoo
- Fix centos 8.3 partition image building error with element iscsi-boot
- Fix building error with element dracut-regenerate

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Jan 11 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add Python3 Wallaby unit tests

* Wed Dec 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Dec 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Enable dracut list installed modules

* Sun Dec 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Sun Dec 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- docs: fix wrong key in the lvm sample configuration

* Thu Dec 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Dec 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove centos-repos package for Centos 8.3
- Remove dib-block-device console entrypoint
- Remove entry-point for element-info

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Dec 01 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Install git-core instead of git on RH systems

* Thu Nov 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove the unused coding style modules

* Wed Nov 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- simple-init: also remove en* interfaces from the images
- Run autoremove on post-install step
- Add support for vlan interfaces in dhcp-all-interfaces.sh

* Mon Nov 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix dynamic-login with grub2
- Fix python-stow-versions

* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Nov 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- yum-minimal: Add centos-stream-repos package for centos-8-stream

* Thu Oct 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Allow processing 'focal' ubuntu release in lvm

* Wed Oct 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Oct 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Ensure yum-utils is installed in epel element

* Thu Oct 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix runtime error if DIB_DNF_MODULE_STREAMS is not set
- Disable growpart in cloud-init-disable-resizefs

* Tue Sep 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove unused fedora-30 job
- Test opensuse 15 builds with 15.2

* Sun Sep 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove install unnecessary package
- Revert "Avoid disabling rhel-7-server-rh-common-rpms"
- rhel-common: Provide method to select module streams
- Add support for CentOS 8 Stream cloud image

* Sat Sep 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Rename duplicating 10-debian-minimal.bash

* Fri Sep 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Install gzip instead of busybox-gzip on suse
- Install grep before busybox on suse distros
- bootloader: remove dangling grubenv links
- Move centos python3 installation after RHEL subscription
- Copy apt gpg keys directly into trusted.gpg.d
- Make iscsi-boot element support centos 8
- update various gentoo bits

* Thu Aug 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert "source-repositories: git is a build-only dependency"

* Wed Aug 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- update gentoo to allow building arm64 images

* Tue Aug 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Do not install python2 packages in ubuntu focal

* Tue Aug 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update name of ipa job
- Remove glance-registry

* Tue Aug 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Makes EFI images bootable by bios
- Fedora 32 support

* Tue Aug 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- source-repositories: git is a build-only dependency

* Tue Aug 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Handle NetworkManager for dhcp-all-interfaces

* Fri Aug 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Deprecate dib-python; remove from in-tree elements
- Pre-install python3 for CentOS

* Thu Aug 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fixes DIB_IPA_CERT certificate copy issue

* Thu Aug 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update the tox minversion parameter.

* Tue Jul 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Adds gnupg2 for apt-keys in ubuntu-minimal

* Fri Jul 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Support non-x86_64 DIB_DISTRIBUTION_MIRROR variable for CentOS 7

* Sat Jul 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- add openrc init system support to serial console element

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Jul 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- update gentoo-releng gpg key

* Sun Jul 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch from unittest2 compat methods to Python 3.x methods

* Wed Jul 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix DIB scripts python version

* Tue Jul 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use kpartx option to update partition mappings

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- add musl profile to gentoo
- Switch to newer openstackdocstheme and reno versions

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Stop bringing the test environment into the mocks

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Install yum and yum-utils on Red Hat family hosts

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert "Make ipa centos8 job non-voting"

* Sun Jul 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- add more python selections to gentoo

* Sun Jul 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Download latest CentOS cloud image
- Add support for CentOS 8 Stream

* Tue Jun 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Disable all enabled epel repos in CentOS8

* Tue Jun 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make ipa centos8 job non-voting

* Tue Jun 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Jun 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- update grub cmdline to current kernel parameters

* Tue Jun 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add .eggs to gitignore

* Thu Jun 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove virtualenv activation

* Wed Jun 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix yumdownloader cache dir

* Tue Jun 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Drop six usage
- Debuntu: add apt-transport-https

* Tue Jun 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Do not fail in a venv when activate_this.py is not found

* Tue Jun 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Cleanup py27 and docs support

* Tue Jun 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update readme to clarify an ubuntu bionic image is built
- Add back pep8 and tarball jobs

* Tue Jun 02 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Drop support for python2
- Prepare to drop Python 2 support
- Revert "dib-lint: use yamllint to parse YAML files"
- use stage3 instead of stage4 for gentoo builds
- Pre-install xz package in opensuse chroot
- Add dependency on yamllint

* Wed May 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert "Revert "ubuntu-minimal : only install 16.04 HWE kernel on xenial""
- package-installs : allow a list of parameters
- dib-lint: use yamllint to parse YAML files

* Mon May 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert "ubuntu-minimal : only install 16.04 HWE kernel on xenial"

* Sun May 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- ubuntu-minimal: Add Ubuntu Focal test build
- ubuntu-minimal : only install 16.04 HWE kernel on xenial
- ubuntu-minimal: fix HWE install for focal

* Sun May 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- package-installs: allow when filter to be a list

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- block device: update variable name

* Tue May 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- functests: use ensure-virtualenv

* Tue Apr 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Sun Apr 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add sibling container builds to experimental queue

* Fri Apr 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add a focal test
- Restore SUSE tests to gate
- Switch functional tests to containers

* Fri Apr 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bionic functional tests should be voting
- pip-and-virtualenv : fix fedora 30 install
- yum-minimal: strip env vars in chroot calls
- Fix args to debuntu functional tests

* Thu Apr 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- pip-and-virtualenv: drop f31 & tumbleweed, rework suse 15 install

* Wed Apr 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove Trusty testing

* Wed Apr 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove Babel and any signs of translations

* Tue Apr 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make ipa centos8 dib job voting

* Thu Apr 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add centos aarch64 tests

* Thu Apr 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Do not try to use MBR on AArch64

* Tue Apr 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- opensuse: fix python 2.x install

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- centos 8 image build: fix mirror
- run_functests: handle build without tar

* Mon Mar 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Mellanox element: removed ibutils,libibcm,libmlx4-dev

* Mon Mar 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add Fedora 31 support and test jobs

* Fri Mar 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add python-stow-versions element

* Tue Mar 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use rpm -e instead of dnf for cleaning old kernels

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for build-only packages
- bindep: remove lsb-release
- Remove hacking from requirements

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Add support for build-only packages
- bindep: remove lsb-release
- Remove hacking from requirements
- Add support for build-only packages
- bindep: remove lsb-release
- Remove hacking from requirements

* Wed Mar 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add support for build-only packages

* Mon Mar 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- bindep: remove lsb-release

* Fri Mar 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove hacking from requirements

* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add ensure-venv element, install glean with it

* Mon Mar 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove Fedora 29 job

* Mon Mar 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Uncap hacking

* Wed Feb 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Do not include efibootmgr and efivars for ppc architectures
- Change tgt pkg-map to target-restore CentOS/RHEL-8
- Add CentOS 8 support
- fix iscsi-boot element exiting build even if dracut-regenerate used

* Wed Feb 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix cache-url -f

* Mon Feb 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Allow python3 to be used in Debian

* Sun Feb 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add efi packages for ironic-agent

* Tue Feb 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Enable possibility to select HWE kernel for Ubuntu minimal"
- Enable possibility to select HWE kernel for Ubuntu minimal

* Tue Feb 04 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add ironic jobs to the CI"
- Add ironic jobs to the CI

* Tue Jan 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- dib-lint: test elements have README.rst file

* Sun Jan 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove trusty jobs

* Wed Jan 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix Yum repositories and GPG keys for CentOS 8.1

* Tue Jan 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- allow building of Gentoo images for non-systemd profiles

* Wed Dec 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- modprobe.d: use $TMP_MOUNT_PATH

* Tue Dec 17 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Install rng-tools in Red Hat family distro images"
- Install rng-tools in Red Hat family distro images

* Mon Dec 16 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add arm64 based functional test"
- Add arm64 based functional test

* Mon Dec 16 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix wrong URL in ironic-agent element"
- Update bindep for RHEL/CentOS 8
- Fix wrong URL in ironic-agent element

* Thu Dec 12 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Set correct python version for non-chroot scripts"
- Set correct python version for non-chroot scripts

* Thu Dec 12 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Work around Trusty ext4 metadata_csum errors on Bionic
- Drop Xenial from functional test

* Fri Dec 06 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Allow zypper repos to be overrideable"
- Merge "Install ndisc6 package in element script"
- Merge "Fix regex for mirror URL substitution"
- Merge "Break retry loop on success in dhcp-all-interfaces"
- Merge "Fix login.defs config for tumbleweed"
- Fix regex for mirror URL substitution
- Install ndisc6 package in element script
- Make sure DIB_DEBUG_TRACE has a default value
- Allow zypper repos to be overrideable
- Fix login.defs config for tumbleweed
- Break retry loop on success in dhcp-all-interfaces

* Thu Nov 28 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add IPv6 support in dhcp-all-interfaces"
- Add IPv6 support in dhcp-all-interfaces

* Mon Nov 25 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Stop installing pydistutils.cfg"
- Stop installing pydistutils.cfg

* Fri Nov 22 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Update bindep.txt for some missing dependencies"
- Update bindep.txt for some missing dependencies

* Fri Nov 22 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add output for mis-configured element scripts"
- Merge "Ensure nouveau is blacklisted in initramfs too"
- Merge "Adds support for GPG keyring"
- Merge "Only wait for checksum processes"
- Merge "Introduce manual setting of DIB_INIT_SYSTEM"
- Only wait for checksum processes
- Introduce manual setting of DIB_INIT_SYSTEM
- Add output for mis-configured element scripts
- Add grub-efi-x86_64 pkg-map
- Adds support for GPG keyring
- Ensure nouveau is blacklisted in initramfs too

* Thu Nov 14 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove unused job

* Thu Nov 14 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Nov 06 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- vhd-util : note on Xen/RAX images

* Tue Oct 29 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert "Drop vhdutil dependency, use qemu-img"

* Tue Oct 29 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert "Pause Fedora jobs"
- Deprecates the existing "ironic-agent" element in DIB

* Sun Oct 27 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "pip-and-virtualenv: include python3-venv for Debuntu"
- pip-and-virtualenv: include python3-venv for Debuntu

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Drop vhdutil dependency, use qemu-img"
- Drop vhdutil dependency, use qemu-img

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add security suite name override in debian-minimal"
- Add security suite name override in debian-minimal

* Fri Oct 25 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Ensure machine-id is not included in images"
- Ensure machine-id is not included in images

* Thu Oct 24 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Fix syntax error in selinux-fixfiles-restore"
- Fix syntax error in selinux-fixfiles-restore

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "bootloader: make serial console configurable"
- Merge "Update gentoo test to current system profile"
- bootloader: make serial console configurable
- Update gentoo test to current system profile

* Mon Oct 21 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Pause Fedora jobs

* Fri Oct 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Oct 17 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Blacklist sphinx 2.1.0 (autodoc bug)"
- Blacklist sphinx 2.1.0 (autodoc bug)

* Mon Oct 14 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "centos7; use numeric DIB_RELEASE"
- centos7; use numeric DIB_RELEASE

* Mon Oct 14 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Remove RA solicit delay"
- Remove RA solicit delay

* Mon Oct 14 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Temporarily disable Fedora 30 build jobs

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- CentOS 8 minimal testing and support

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add NetworkManager and dhcp-client for CentOS 8
- Fix networking for CentOS 8

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- simple-init: Use wrappers to call pip for glean install

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- simple-init: default to NetworkManager for CentOS and Fedora

* Mon Oct 07 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "pip-and-virtualenv : deprecate source for CentOS 8, new variables"
- Merge "yum-minimal: Don't install yum, install libcurl"
- Merge "Use $YUM instead of direct calls in more places"
- Merge "Add environment switch for centos8 to use dnf"
- pip-and-virtualenv : deprecate source for CentOS 8, new variables
- yum-minimal: Don't install yum, install libcurl
- Use $YUM instead of direct calls in more places
- Add environment switch for centos8 to use dnf

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Update redhat-common pkg-map for centos 8"
- Update redhat-common pkg-map for centos 8

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add security mirror override for debian-minimal"
- Add security mirror override for debian-minimal

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update locales for Centos 8

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- dib-python : handle centos 8
- yum-minimal : update mirrors for Centos 8

* Thu Oct 03 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove "failovermethod=priority" for Fedora (dnf)


